org.eclipse.microprofile.opentracing.tck

## Class OpenTracingClassMethodNameClientTests

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests
    - - org.eclipse.microprofile.opentracing.tck.OpenTracingClientBaseTests
      - - org.eclipse.microprofile.opentracing.tck.OpenTracingClassMethodNameClientTests

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class OpenTracingClassMethodNameClientTests
    extends OpenTracingClientBaseTests

Author:
  Pavol Loffay

### Nested Class Summary

Nested Classes
`static class` `OpenTracingClassMethodNameClientTests.TestConfiguration`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`deploymentURL, JAXRS_COMPONENT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`OpenTracingClassMethodNameClientTests()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`

### Methods inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`assertEqualErrorTrees, assertEqualTrees, beforeEachTest, executeNested, executeRemoteWebServiceRaw, executeRemoteWebServiceRaw, executeRemoteWebServiceTracerTree, getEndpointMethod, getExpectedNestedServerSpan, getExpectedSpanTags, getExpectedSpanTagsForError, getNestedQueryParameters, getOperationName, getRandomNumber, getWebServiceURL, getWebServiceURL, testMultithreadedNestedSpans, testNestedSpans`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTracingClassMethodNameClientTests

    public OpenTracingClassMethodNameClientTests()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()